[arch-commits] Commit in (5 files)

Sergej Pupykin spupykin at nymeria.archlinux.org
Wed Jan 30 09:28:34 UTC 2013


    Date: Wednesday, January 30, 2013 @ 10:28:34
  Author: spupykin
Revision: 83355

Added:
  python2-cheetah/
  python2-cheetah/repos/
  python2-cheetah/trunk/
  python2-cheetah/trunk/Changelog
  python2-cheetah/trunk/PKGBUILD

-----------+
 Changelog |   12 ++++++++++++
 PKGBUILD  |   33 +++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

Added: python2-cheetah/trunk/Changelog
===================================================================
--- python2-cheetah/trunk/Changelog	                        (rev 0)
+++ python2-cheetah/trunk/Changelog	2013-01-30 09:28:34 UTC (rev 83355)
@@ -0,0 +1,12 @@
+2012-03-25 Julien Nicoulaud <julien.nicoulaud at gmail.com>
+
+	* 2.4.4-5 :
+	Change dependency on 'python-markdown' to 'python2-markdown' since
+    FS#28265 is solved.
+
+2012-01-31 Julien Nicoulaud <julien.nicoulaud at gmail.com>
+
+	* 2.4.4-4 :
+	Add changelog.
+	Remove unneeded shebang modification.
+

Added: python2-cheetah/trunk/PKGBUILD
===================================================================
--- python2-cheetah/trunk/PKGBUILD	                        (rev 0)
+++ python2-cheetah/trunk/PKGBUILD	2013-01-30 09:28:34 UTC (rev 83355)
@@ -0,0 +1,33 @@
+# Maintainer: Julien Nicoulaud <julien.nicoulaud at gmail.com>
+# Contributor: James Rayner <james at archlinux.org>
+# Contributor: Todd Maynard <arch at toddmaynard.com>
+# Source: https://github.com/nicoulaj/archlinux-packages
+pkgname=python2-cheetah
+pkgver=2.4.4
+pkgrel=5
+pkgdesc="A Python-powered template engine and code generator"
+arch=(i686 x86_64)
+url="http://www.cheetahtemplate.org"
+license=(custom)
+depends=(python2 python2-markdown)
+makedepends=(python2-distribute)
+optdepends=('python2-pygments: for the CodeHighlighter filter')
+provides=(cheetah python-cheetah)
+conflicts=(cheetah python-cheetah)
+changelog=Changelog
+source=(http://pypi.python.org/packages/source/C/Cheetah/Cheetah-${pkgver}.tar.gz)
+md5sums=('853917116e731afbc8c8a43c37e6ddba')
+
+build() {
+  cd "${srcdir}/Cheetah-${pkgver}"
+  python2 setup.py build
+}
+
+package() {
+  msg "Install..."
+  cd "${srcdir}/Cheetah-${pkgver}"
+  python2 setup.py install --root="${pkgdir}" || return 1
+
+  msg2 "Install copyright resources in /usr/share/licenses/${pkgname}..."
+  install -Dm644 "${srcdir}/Cheetah-${pkgver}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}




More information about the arch-commits mailing list